Aller au contenu

Firmware Broken | Ender 3 4.2.7 TMC2225 | Marlin 2.0.1


Messages recommandés

Bonjour à tous et à toutes !

J’ai un message d’erreur, depuis la première fois ou j’ai lancé Octoprint, avec la carte d'origine en 4.2.2.
Je pensais le régler en passant sur une CM 4.2.7 et une mise à jour du firmware, mais le message persiste.
J’ai fait le tour des messages qui en parlent et les avis sont mitigés. Alors je viens poser la question...

– Faut-il vraiment que j’installe ce plugin ?

Jusqu’ici je n’ai eu qu’un problème, une impression qui se stoppe avant la fin. Sinon tout va bien.
Bossant dans l’IT, je pars du principe, que si ça fonctionne, alors inutile de faire des pansements.
Mais je me dis aussi que si ce message est aussi voyant, c’est qu’il y a une raison...

Merci d’avance pour vos réponses.

Warning: Firmware Broken

Your printer's firmware is known to have a broken implementation of the communication protocol. 
This may cause print failures or other annoyances. 
You'll need to take additional steps for OctoPrint to fully work with it.
------
Le micrologiciel de votre imprimante est connu pour avoir une implémentation défectueuse du protocole de communication.
Cela peut entraîner des échecs d'impression ou d'autres désagréments.
Vous devrez prendre des mesures supplémentaires pour qu'OctoPrint fonctionne pleinement avec lui.

Pour info, j'ai acheté une Ender 3 basique en 4.2.2. Je l'ai connecté à un serveur Octoprint et modifié la CM par une 4.2.7.
J'utilise Cura pour préparer, lancer et suivre mes impressions.
J'ai également un BLTouch, mais pas encore eu le temps de l'installer.

Modifié (le) par Keidry
Lien vers le commentaire
Partager sur d’autres sites

@Keidry

Bonjour,

Tu peux ne pas tenir compte de cet avertissement qui date d'il y a bien longtemps. Du temps où les premiers firmware fournis par Creality n'activaient pas les sécurités contre l'emballement thermique. En fait Octoprint ne vérifie pas le firmware mais se base sur une liste d'imprimantes connues pour avoir ce «défaut». Creality a depuis déjà un bon moment rectifié le tir et ses firmware désormais activent cette sécurité 😉

Plus d'explications sur ce greffon intégré : https://github.com/OctoPrint/OctoPrint-FirmwareCheck

Si tu le veux tu peux désactiver ce greffon dans le gestionnaire d'extensions ou tu peux compiler ton propre firmware en évitant d'indiquer dans le configuration.h «Author: (Ender3)», c'est cette chaine qui déclenche l'avertissement : https://community.octoprint.org/t/octoprint-tells-me-that-my-printers-firmware-lacks-mandatory-safety-features-what-does-this-mean/350

🙂

Lien vers le commentaire
Partager sur d’autres sites

Bonjour Fran6p,

Merci pour ta réponse, claire et complète. 👍
Je suis nouveau dans la 3D, chaque sujet est une découverte. 🤩
Je ne m'y étais jamais intéressé, ni de près ni de loin. Mais c'est un régal.

En te souhaitant un bon dimanche.  🌞

Lien vers le commentaire
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant
×
×
  • Créer...